Bug 1868323 - "Confirm services restart" modal window grammatically does not respect that multiple systems are selected for a reboot
Summary: "Confirm services restart" modal window grammatically does not respect that m...
Keywords:
Status: POST
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: katello-tracer
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Ondrej Gajdusek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-12 10:19 UTC by Ondrej Gajdusek
Modified: 2022-03-18 14:24 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34037 0 Normal New "Confirm services restart" modal window grammatically does not respect that multiple systems are selected for a reboot 2021-11-30 01:53:15 UTC

Description Ondrej Gajdusek 2020-08-12 10:19:28 UTC
Description of problem:
Singular is used instead of plural even when operating with multiple hosts.

Version-Release number of selected component (if applicable):
6.8

How reproducible:
always

Steps to Reproduce:
1. Navigate to the Content Hosts page.
2. Select multiple hosts whose services require a reboot.
3. Select "Manage Host Traces" from the actions list.
4. Select multiple entries that require a reboot on multiple hosts.
5. Click on the "Restart Selected" button.

Actual results:
"Resolving the selected Traces will reboot this host." is displayed in the window.

Expected results:
There should be a plural used - "hosts" not "host" if you selected Traces on multiple hosts.

Additional info:
Created during the verification of BZ1709557.

Katello code:
https://github.com/jturel/katello/blob/d5ce8e0809cb9080b968e1e0b8c5b145af87cd01/engines/bastion_katello/app/assets/javascripts/bastion_katello/content-hosts/content/views/content-host-traces.html#L46

Comment 1 Partha Aji 2021-11-30 01:53:14 UTC
Connecting redmine issue https://projects.theforeman.org/issues/34037 from this bug

Comment 2 Bryan Kearney 2021-11-30 08:03:00 UTC
Upstream bug assigned to paji@redhat.com

Comment 3 Bryan Kearney 2021-11-30 08:03:01 UTC
Upstream bug assigned to paji@redhat.com

Comment 4 Bryan Kearney 2021-12-01 12:02:49 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34037 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.